Documentation Mercado Libre

Check out all the necessary information about APIs Mercado Libre.
circulos azuis em degrade

Documentation

Last update 27/02/2026

Product reviews

Once the product is delivered to the buyer, they can leave a review based on their experience, indicating how many stars they would give the product, write a comment, and in the case of a Fashion product, indicate whether it fit as expected or not. This way, the seller can know the average star rating for their products. On Mercado Libre, the stars and number of reviews are displayed below the listing title as follows:






With the following request, you can find out the stars (rating_average field) that a product has based on its reviews.
Request:

curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/reviews/item/$ITEM_ID

Example:

curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/reviews/item/MLB1625519814

Response:

{
  "paging": {},
  "reviews": [
    {},
    {},
    {
      "id": 41672915,
      "reviewable_object": {},
      "date_created": "2019-06-08T14:12:29Z",
      "status": "published",
      "title": "Iincreíble, lo amo",
      "content": "Impresionante, muy satisfecha con el samsung s9, tenía un s7 y son todos excelentes! lo único que le encontré es q luego de una actualización de software, que x lo gral lo programo para la noche, el telefono no vuelve a encender solo, y por eso no suena la alarma de la mañana. Todavia no he terminado de descubrir todo, pero la rapidez y reaccion de todo el teléfono es genial.",
      "rate": 5,
      "valorization": 0,
      "likes": 0,
      "dislikes": 0,
      "reviewer_id": 0,
      "buying_date": "2019-04-12T04:00:00Z",
      "relevance": 71,
      "forbidden_words": 0
    },
    {},
    {}
  ],
  "rating_average": 4.8,
  "rating_levels": {
    "one_star": 2,
    "two_star": 1,
    "three_star": 0,
    "four_star": 9,
    "five_star": 80
  },
  "helpful_reviews": {},
  "attributes": [
  ]
}
Note:
The information in the reviewer_id parameter is obfuscated and returns the value (0) in all cases.

Response fields

reviews: product reviews

  • id: review id
  • date_created: review creation date
  • status: review status (for example, published)
  • tittle: review title
  • content: review content
  • rate: star rating (from 1 to 5)
  • buying_date: product purchase date

rating_average: average of total ratings
rating_levels: classification by stars received


Using the catalog_product_id corresponding to the item with catalog opt-in, you can query its reviews. Learn more about Catalog listings.


Example:

curl -X GET -H 'Authorization: Bearer $ACCESS_TOKEN' https://api.mercadolibre.com/reviews/item/MLB1632704547?catalog_product_id=MLB14186226

Response:

{
  "paging": {},
  "reviews": [
    {},
    {},
    {},
    {
      "id": 43083524,
      "reviewable_object": {},
      "date_created": "2019-07-17T23:11:29Z",
      "status": "published",
      "title": "Perfecto¡¡¡",
      "content": "Excelente producto, recomendable 100%.",
      "rate": 5,
      "valorization": 2,
      "likes": 2,
      "dislikes": 0,
      "reviewer_id": 0,
      "buying_date": "2019-06-22T04:00:00Z",
      "relevance": 4,
      "forbidden_words": 0,
      "attributes": []
    },
    {}
  ],
  "rating_average": 4.8,
  "rating_levels": {},
  "helpful_reviews": [
  ],
  "attributes": [
  ]
}

Learn more about Sales metrics.